tla (1.3.5+dfsg1-2) unstable; urgency=medium

  * QA upload.
  * Add debian/patches/0014-do-not-show-the-build-date.patch.
  * debian/control: Suggest openssh-client instead of ssh.
    Thanks to Magnus Holmgren for the report. Closes: #417441.
  * Add debian/patches/0015-changeset-fd-leak.patch from Sergio Gelato to
    close file descriptors before they go out of scope. Closes: #522082.

 -- Santiago Vila <sanvila@debian.org>  Tue, 01 Sep 2015 22:07:06 +0200

tla (1.3.5+dfsg1-1) unstable; urgency=medium

  * QA upload.
  * Imported Upstream version 1.3.5+dfsg1
    - Removes two files with a non-free license. Closes: #709500
  * Add get-orig-source target to debian/rules
  * Change download location for upstream tarball in debian/copyright
  * Update debian/watch file
  * Add homepage to debian/control
  * Remove debian/README.source, it's no longer needed
  * Add debian/source/options and use xz compression
  * Remove unnecessary clean commands
  * Use debhelper for updating autotools files

 -- Tobias Quathamer <toddy@debian.org>  Fri, 24 Oct 2014 13:23:28 +0200

tla (1.3.5+dfsg-18) unstable; urgency=low

  * QA upload
  * change to "3.0 (quilt)" format
  * add copyright holders and license for embedded copy of
    libneon (0.24.7) to debian/copyright
  * support build-arch and build-indep
  * debhelper compatibility up to 7
  * use dpkg-buildflags

 -- Bernhard R. Link <brl@pcpool10.mathematik.uni-freiburg.de>  Mon, 14 Nov 2011 15:48:43 +0100

tla (1.3.5+dfsg-17) unstable; urgency=low

  * QA upload.
  * Although `tla add' is valid, updated the help to indicate that
    `tla add-id' is the preferred command (Closes: #317128)
  * Fix malformed comment in tla-doc/handbook/index.html
    (Closes: #321887)
  * Add missing #include to tmp-files.c, closes Ubuntu bug #832877

 -- Tim Gokcen <hexetic@gmail.com>  Thu, 08 Sep 2011 15:10:09 -0400

tla (1.3.5+dfsg-16) unstable; urgency=low

  * QA upload.
  * tar --preserve is deprecated; use --preserve-permissions and
    --preserve-order instead (closes: #605048).
  * Changed section to vcs, since that's what it is
  * Fix lintian warnings/errors, including:
    - Added debian/README.source (from dpatch default)
    - Moved #include patches into dpatch system
    - Added dversionmangle to debian/watch
    - Added ${misc:Depends} to debian/control
    - Updated debhelper version to 5 (no changes needed)
    - Removed 3x .SP macros from tla manpage
    - Fixed spelling errors in code C-strings
    - Fixed tla-gpg-check hyphenization errors
    - tla-doc is in doc-base section Programming
    - Made package version 1.0 explicit. Hopefully someone (maybe me)
      will convert to pkg version 3.0 later
    - Removed -rpath from libneon build

 -- Tim Gokcen <hexetic@gmail.com>  Fri, 26 Nov 2010 16:20:03 -0500

tla (1.3.5+dfsg-15) unstable; urgency=low

  * QA upload.
  * Use system libexpat instead of bundled one (closes: #560940).

 -- Sylvain Beucler <beuc@beuc.net>  Mon, 14 Dec 2009 17:27:55 +0100

tla (1.3.5+dfsg-14) unstable; urgency=low

  * QA upload.
  * Add debian/patches/06-relibtoolize.dpatch to 00list (closes: #493702).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 16 Aug 2008 23:43:03 +0200

tla (1.3.5+dfsg-13) unstable; urgency=low

  * QA upload.
  * debian/patches/06-relibtoolize.dpatch: relibtoolize (closes: #493702).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 14 Aug 2008 21:37:21 +0200

tla (1.3.5+dfsg-12) unstable; urgency=low

  * Fix implicit pointer conversions (closes: #492402)

 -- dann frazier <dannf@debian.org>  Fri, 25 Jul 2008 14:28:51 -0600

tla (1.3.5+dfsg-11) unstable; urgency=low

  * Really fix 491373 the "right way" - upstream recommends just to
    commenting out the test in the invariant section, so doing so.
    (closes: #491373)

 -- Adam Majer <adamm@zombino.com>  Wed, 23 Jul 2008 11:26:32 -0500

tla (1.3.5+dfsg-10) unstable; urgency=low

  * Change maintainer to QA as the package is now orphaned.
  * Fix a FTBFS due to a too strict test on memory alignment.
    We now use alignment as reported by __alignof__ instead of trying to
    use a guessed value. (closes: #491373)
  * Update config files *properly* by not polluting the diff.gz and thus
    creating files as obsolete as the developer's machine. Use build
    machine versions instead.

 -- Adam Majer <adamm@zombino.com>  Tue, 22 Jul 2008 13:40:12 -0500

tla (1.3.5+dfsg-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix bashisms. (Closes: #459140).
    + Add build-dep on time.
    * 04_bashisms.dpatch - use printf instead of echo -e.

 -- Barry deFreese <bddebian@comcast.net>  Fri, 07 Mar 2008 10:40:50 -0500

tla (1.3.5+dfsg-9) unstable; urgency=low

  * Fixed description formatting (72 char wide) and spelling.
  * Fixed regression from -4 when libneon26 from Debian was used
    instead of the bundled libneon. See #402952. Reverted to using the
    bundled libneon instead as we are too close to releasing Etch to
    fiddle with this subsystem.

 -- Adam Majer <adamm@zombino.com>  Mon, 18 Dec 2006 14:28:10 -0600

tla (1.3.5+dfsg-8) unstable; urgency=low

  * New maintainer (closes: #351582)
  * Build-Depend on new neon26 dev package so link with the correct
    libneon26 as the soname changed. This really closes #402251.
  * No longer depend on diff as that is an essential package

 -- Adam Majer <adamm@zombino.com>  Sat,  9 Dec 2006 22:00:53 -0600

tla (1.3.5+dfsg-7) unstable; urgency=low

  * Rebuild in a clean chroot (Closes: #402251).

 -- Daniel Baumann <daniel@debian.org>  Sat,  9 Dec 2006 14:51:00 +0100

tla (1.3.5+dfsg-6) unstable; urgency=low

  * Incorporate the neon24 path escape function into
    03-neon26.dpatch so that WebDAV will work with neon26.

 -- Clint Adams <schizo@debian.org>  Sat,  2 Dec 2006 17:10:22 -0500

tla (1.3.5+dfsg-5) unstable; urgency=low

  * QA upload. 
  * Build-depend on libneon26-gnutls-dev.

 -- Clint Adams <schizo@debian.org>  Sat,  2 Dec 2006 02:20:25 -0500

tla (1.3.5+dfsg-4) unstable; urgency=low

  * Adding 01-segfault-ia64.dpatch and 02-alignment-hppa-sparc.dpatch to fix
    FTBFS on hppa, ia64, and sparc (Closes: #382465).
  * The testsuite was disabled on a selection of archs in the last revision
    because it's know that the testsuite is broken on some archs. E.g. for arm,
    this is definitely the case. In lack of testing possibilities, I'm
    re-enabling the testsuite on hppa, ia64 and sparc, because it's not know
    if the testsuite do run or not, now that the FTBFS seems to be fixed. If
    they fail, the testsuite must be broken on those archs too (assumed the
    FTBFS fix is sufficient :)

 -- Daniel Baumann <daniel@debian.org>  Mon, 28 Aug 2006 09:14:00 +0200

tla (1.3.5+dfsg-3) unstable; urgency=low

  * Temporary skipping archs where the testsuite is broken (Closes: #382465).

 -- Daniel Baumann <daniel@debian.org>  Fri, 11 Aug 2006 16:49:00 +0200

tla (1.3.5+dfsg-2) unstable; urgency=low

  * Corrected depends (diff is the binary, not diffutils).

 -- Daniel Baumann <daniel@debian.org>  Sun,  6 Aug 2006 13:03:00 +0200

tla (1.3.5+dfsg-1) unstable; urgency=low

  * QA upload.
  * Setting maintainer to Debian QA.
  * New upstream release.
  * Rebuild upstream tarball without doc-hackerlab (GFDL with invariants).
  * Redone debian directory with plain debhelper, additionally:
    - added doc-base.
    - added watch file.
    - included manpage for tla-gpg-check from Sylvain Beucler <beuc@gnu.org>.
    - removed all patches, they went all upstream.
    - updated dependencies.
    - using private libneon24 instead of extern libneon25 (Closes: #371038).

 -- Daniel Baumann <daniel@debian.org>  Sun, 23 Jul 2006 11:35:00 +0200

tla (1.3.4-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
  * Bump to Standards-Version 3.7.2.
  * Incorporate NMUs.  closes: #361095, #370272.
  * Update debian/generate-manpage.pl to cope with new
    tla --version output.

 -- Clint Adams <schizo@debian.org>  Sat, 15 Jul 2006 13:03:22 -0400

tla (1.3.3-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with sudo (Closes: #366728)

 -- Julien Danjou <acid@debian.org>  Thu,  1 Jun 2006 13:38:26 +0200

tla (1.3.3-3.2) unstable; urgency=low

  * Non-Maintainer Upload.
  * Applied patch by Alfred M. Szmidt to fix hackerlab build on hurd-i386
    (closes: #281870) 
  * Update config.sub/config.guess in src/libneon and src/expat/conftools
    (closes: #330049)

 -- Michael Banck <mbanck@debian.org>  Fri, 14 Apr 2006 17:16:49 +0200

tla (1.3.3-3.1) unstable; urgency=low

  * Non-Maintainer Upload.
    Fix build dependencies: use libneon2.5-dev instead of removed
    libneon24-dev. Thanks to Matt Kraai for the patch (closes: #355999)

 -- Frederik Schüler <fs@debian.org>  Thu,  6 Apr 2006 13:22:58 +0000

tla (1.3.3-3) unstable; urgency=low

  * Upstream has gone away, so I'll just sweep up all the outstanding patches...
  * Apply patch from Ian Jackson to fix stdarg abuse
    (closes: #319141, #325690, hopefully)
  * Update config.sub/config.guess (closes: #319671)
  * Apply patch from Kusanagi Kouichi for 'tla id' syntax (closes: #298591)
  * Include a version of Hans Ulrich Niedermann's generate-manpage.pl,
    hacked to work within the debian build tree, and install the manpage
    it emits (closes: #201172)

 -- Andrew Suffield <asuffield@debian.org>  Fri, 23 Sep 2005 15:55:20 +0100

tla (1.3.3-2) unstable; urgency=low

  * Back out bogus change to libneon25; that wasn't supposed to hit sid yet
    (closes: #317603) 

 -- Andrew Suffield <asuffield@debian.org>  Sun, 10 Jul 2005 19:56:17 +0100

tla (1.3.3-1) unstable; urgency=low

  * New upstream release (closes: #314898)
    - Documentation rewritten, all old bugs on the documentation are now
      obsolete (closes: #278056, #284660)
    - Local paths to make-archive are now absolutised (closes: #258671, #304792)
    - Dangling symlinks for the hook script are trapped (closes: #239037)
    - Stray declaration appears to be gone (closes: #289692)
  * We are now on target for sarge and etch, so bugs relating to woody are
    obsolete (closes: #289402)
  * Use /bin/bash, not /bin/sh (closes: #292087)
  * Update archive references in README.Debian
  * Bump to libneon25

 -- Andrew Suffield <asuffield@debian.org>  Sun,  3 Jul 2005 19:01:45 +0100

tla (1.3-1) unstable; urgency=low

  * New upstream release (closes: #270944, #277543). It's less than two
    weeks since this was released; may you contract an interesting
    venereal disease.
  * Fixes handling of archive names beginning with a digit
    (closes: #254753)
  * Fixes a variety of issues with neon's SSL support (closes: #270021)
  * Support weird junk in filenames (closes: #182581, #274750)
  * Whole bunch of error handling stuff (closes: #252137, #260522)
  * Various typos (closes: #216426, #234300, #244990)
  * Inode signature checks now trap deleted files (closes: #224686)

 -- Andrew Suffield <asuffield@debian.org>  Sat,  8 Jan 2005 18:45:19 +0000

tla (1.2-4) unstable; urgency=low

  * Hack tla so that it links to an external libneon and build-dep on
    libneon24-dev. I don't want to have to deal with neon
    problems. (closes: #247127)

 -- Andrew Suffield <asuffield@debian.org>  Sun, 30 May 2004 20:13:29 +0100

tla (1.2-3) unstable; urgency=low

  * Update libneon for CAN-2004-0179 (closes: #244412)
  * Include the fix for va_args (closes: #237728), but chuck out the rest
    of the tla--integration--1.2 changes that were in the NMU.

 -- Andrew Suffield <asuffield@debian.org>  Sun, 18 Apr 2004 17:01:22 +0100

tla (1.2-2) unstable; urgency=low

  * Rebuild. Accidentally got some stuff in the diff that shouldn't have
    been.

 -- Andrew Suffield <asuffield@debian.org>  Fri,  5 Mar 2004 05:20:48 +0000

tla (1.2-1) unstable; urgency=low

  * New upstream release
  * The documentation is GPLed now, so tla-doc is back. That also means
    the upstream tarball is pristine again.
  * Suggest gnupg. This release supports signed archives.
  * Update README.Debian to reference gluck-2004 instead of gluck-2003.
  * Remove the reference to the tutorial website from README.Debian
  * Install =gpg-check.awk as /usr/bin/tla-gpg-check
  * Add dependency on gawk
  * Install HOWTO.crypto into tla-doc

 -- Andrew Suffield <asuffield@debian.org>  Sat, 28 Feb 2004 23:25:26 +0000

tla (1.1-2) unstable; urgency=low

  * Uncomment the call to the test suite at build time. It should work now.
  * Depend on diff >= 2.8.1 and patch >= 2.5.9, to give woody users a hint

 -- Andrew Suffield <asuffield@debian.org>  Fri, 23 Jan 2004 00:45:26 +0000

tla (1.1-1) unstable; urgency=low

  * New upstream release

 -- Andrew Suffield <asuffield@debian.org>  Mon, 22 Dec 2003 14:34:01 +0000

tla (1.0.6+1.1-candidate0-1) unstable; urgency=low

  * New upstream release (closes: #207733)
    - pfs-sftp should fail a little less annoyingly now (closes: #215155)
    - default-id (ne default-tag) is fixed (closes: #207254)

 -- Andrew Suffield <asuffield@debian.org>  Sun, 14 Dec 2003 20:31:20 +0000

tla (1.0.6-4) unstable; urgency=low

  * Add note to README.Debian about
    http://people.debian.org/~asuffield/arch/
  * Remove the grossly obsolete note about ash vs bash from README.Debian
    (closes: #222787)

 -- Andrew Suffield <asuffield@debian.org>  Wed,  3 Dec 2003 21:03:45 +0000

tla (1.0.6-3) unstable; urgency=high

  * Add the dependency on patch again (oops) (closes: #207333)
  * Update debhelper build-dep to 4.0.4 or later; --sourcedir support is
    needed (closes: #202747, kinda).
  * Apply the changeset validation patch from tla 1.1
  * Suggest ssh (closes: #207503)
  * Add a note to README.Debian about the tutorial, and why it isn't
    included (closes: #207246, #207504)

 -- Andrew Suffield <asuffield@debian.org>  Wed, 22 Oct 2003 17:16:05 +0100

tla (1.0.6-2) unstable; urgency=low

  * Properly initialise op in my-revision-library/my-default-archive so
    that it doesn't sometimes delete instead of printing. (closes: #200838)

 -- Andrew Suffield <asuffield@debian.org>  Sat, 12 Jul 2003 18:36:41 +0100

tla (1.0.6-1) unstable; urgency=low

  * New upstream release
  * Note the UCD license in the copyright file (closes: #200292)
  * Include the word "arch" in the short description (closes: #199941)
  * Remove the tla-doc package and eliminate it from the upstream
    tarball. It's non-free (GFDL with invariant sections), and now the
    author has backtracked and probably won't change it to a free license.

 -- Andrew Suffield <asuffield@debian.org>  Wed,  9 Jul 2003 18:16:12 +0100

tla (1.0.4-1) unstable; urgency=low

  * New upstream release

 -- Andrew Suffield <asuffield@debian.org>  Wed,  2 Jul 2003 16:22:54 +0100

tla (1.0.3-1) unstable; urgency=low

  * New upstream release (closes: #198424)
  * Update copyright file to have appropriate email addresses, add
    reference to GNU FDL

 -- Andrew Suffield <asuffield@debian.org>  Tue, 24 Jun 2003 17:24:47 +0100

tla (1.0.1-1) unstable; urgency=low

  * Initial release

 -- Andrew Suffield <asuffield@debian.org>  Sat, 21 Jun 2003 18:59:42 +0100
